Permalink
Browse files

Regenerated gemspec for version 0.3.0

  • Loading branch information...
1 parent ed89a35 commit 08ecc1e0f1288c43a3866dc88fdfa12f5e12b4d6 @troelskn troelskn committed Jun 23, 2009
Showing with 5 additions and 6 deletions.
  1. +5 −6 handsoap.gemspec
View
@@ -2,11 +2,11 @@
Gem::Specification.new do |s|
s.name = %q{handsoap}
- s.version = "0.2.9"
+ s.version = "0.3.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Troels Knak-Nielsen"]
- s.date = %q{2009-06-17}
+ s.date = %q{2009-06-23}
s.description = %q{Handsoap is a library for creating SOAP clients in Ruby}
s.email = %q{troelskn@gmail.com}
s.extra_rdoc_files = [
@@ -22,12 +22,14 @@ Gem::Specification.new do |s|
"lib/handsoap/compiler.rb",
"lib/handsoap/parser.rb",
"lib/handsoap/service.rb",
- "lib/handsoap/xml_mason.rb"
+ "lib/handsoap/xml_mason.rb",
+ "lib/handsoap/xml_query_front.rb"
]
s.has_rdoc = true
s.homepage = %q{http://github.com/troelskn/handsoap}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
+ s.requirements = ["You need to install either \"curb\" or \"httpclient\", using one of:\n gem install curb\n gem install httpclient", "It is recommended that you install either \"nokogiri\" or \"libxml-ruby\""]
s.rubygems_version = %q{1.3.1}
s.summary = %q{Handsoap is a library for creating SOAP clients in Ruby}
@@ -36,11 +38,8 @@ Gem::Specification.new do |s|
s.specification_version = 2
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<nokogiri>, [">= 1.2.3"])
else
- s.add_dependency(%q<nokogiri>, [">= 1.2.3"])
end
else
- s.add_dependency(%q<nokogiri>, [">= 1.2.3"])
end
end

0 comments on commit 08ecc1e

Please sign in to comment.